Subject: MB 660 - Firmware Update
From: Pravesh Singh <[email-masked]>
To: hnyr <[email-masked]>
Cc: Pritish Nandi <[email-masked]>
Date: Fri, 14 Jan 2022 01:43:21 -0700 (MST)

Hello Heta, 

We just came to know that we are still suggesting downloading the Sennheiser updater to update the firmware of the MB 660. I was able to find another [ https://eposaudio.zendesk.com/hc/en-us/articles/360042624233-MB-660-How-to-update-firmware | FAQ ] published on the support page suggesting to download EPOS Connect. Could you please review this and get this changed? 

Link: https://eposaudio.zendesk.com/hc/en-us/articles/115004474648-MB-660#tsbupdate 

Also, I would appreciate if you could confirm if the MB 660 is compatible with EPOS Connect macOS version 7.0. As per the release notes it is but I had a confirmation from Level 2 that it's not (V6.0). 

Thank you & Best regards, 
Pravesh Singh